Bug 1273308 (CVE-2015-4860)

Summary: CVE-2015-4860 OpenJDK: incorrect access control context used in DGCImpl (RMI, 8080688)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: dbhole, jvanek, sbaiduzh, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-26 15:23:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1257667    

Description Tomas Hoger 2015-10-20 07:57:08 UTC
It was discovered that the DGCImpl (for RMI distributed garbage-collection - DGC) class in the RMI component of OpenJDK failed to use restricted access control context when processing untrusted input.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-10-21 08:52:52 UTC
Public now via Oracle Critical Patch Update - October 2015.  Fixed in Oracle Java SE 6u105, 7u91, and 8u65.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-10-21 18:48:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1921 https://rhn.redhat.com/errata/RHSA-2015-1921.html

Comment 3 errata-xmlrpc 2015-10-21 20:59:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1920 https://rhn.redhat.com/errata/RHSA-2015-1920.html

Comment 4 errata-xmlrpc 2015-10-21 21:08:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1919 https://rhn.redhat.com/errata/RHSA-2015-1919.html

Comment 5 errata-xmlrpc 2015-10-22 18:35:33 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1928 https://rhn.redhat.com/errata/RHSA-2015-1928.html

Comment 6 errata-xmlrpc 2015-10-22 18:36:33 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1926 https://rhn.redhat.com/errata/RHSA-2015-1926.html

Comment 7 errata-xmlrpc 2015-10-22 18:45:47 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1927 https://rhn.redhat.com/errata/RHSA-2015-1927.html

Comment 8 Tomas Hoger 2015-10-26 14:02:35 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/4dab993be5b6

Comment 9 errata-xmlrpc 2015-11-18 16:41:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2086 https://rhn.redhat.com/errata/RHSA-2015-2086.html

Comment 10 errata-xmlrpc 2015-11-23 12:41:24 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2508 https://rhn.redhat.com/errata/RHSA-2015-2508.html

Comment 11 errata-xmlrpc 2015-11-23 12:43:19 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2507 https://rhn.redhat.com/errata/RHSA-2015-2507.html

Comment 12 errata-xmlrpc 2015-11-23 12:57:12 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2509 https://rhn.redhat.com/errata/RHSA-2015-2509.html

Comment 13 errata-xmlrpc 2015-11-23 12:59:02 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2506 https://rhn.redhat.com/errata/RHSA-2015-2506.html

Comment 14 errata-xmlrpc 2015-11-25 21:16:55 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:2518 https://rhn.redhat.com/errata/RHSA-2015-2518.html

Comment 15 errata-xmlrpc 2016-07-18 13:53:59 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430